// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_platform_msgs:msg/UserInputADAS.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_PLATFORM_MSGS__MSG__DETAIL__USER_INPUT_ADAS__STRUCT_H_
#define AUTOMOTIVE_PLATFORM_MSGS__MSG__DETAIL__USER_INPUT_ADAS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"

/// Struct defined in msg/UserInputADAS in the package automotive_platform_msgs.
/**
  * User input (e.g. button presses) related to the factory ADAS functions
 */
typedef struct automotive_platform_msgs__msg__UserInputADAS
{
  std_msgs__msg__Header header;
  /// Cruise Control on
  bool btn_cc_on;
  /// Cruise Control off
  bool btn_cc_off;
  /// Cruise Control on/off toggle
  bool btn_cc_on_off;
  /// Cruise Control set/speed +
  bool btn_cc_set_inc;
  /// Cruise Control set/speed -
  bool btn_cc_set_dec;
  /// Cruise Control resume
  bool btn_cc_res;
  /// Cruise Control cancel
  bool btn_cc_cncl;
  /// Cruise Control resume/cancle toggle
  bool btn_cc_res_cncl;
  /// Adaptive Cruise Control gap -
  bool btn_acc_gap_inc;
  /// Adaptive Cruise Control gap +
  bool btn_acc_gap_dec;
  /// Lane Keep Assist off
  bool btn_lka_on;
  /// Lane Keep Assist on
  bool btn_lka_off;
  /// Lane Keep Assist on/off toggle
  bool btn_lka_on_off;
} automotive_platform_msgs__msg__UserInputADAS;

// Struct for a sequence of automotive_platform_msgs__msg__UserInputADAS.
typedef struct automotive_platform_msgs__msg__UserInputADAS__Sequence
{
  automotive_platform_msgs__msg__UserInputADAS * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_platform_msgs__msg__UserInputADAS__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_PLATFORM_MSGS__MSG__DETAIL__USER_INPUT_ADAS__STRUCT_H_
